Documents

Inbox

List all unread incoming documents.

GET
/api/v1/inbox
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Query Parameters

companyId?string

Optionally filter documents by company ID

Response Body

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/inbox"
{
  "success": true,
  "documents": [
    {
      "id": "string",
      "teamId": "string",
      "companyId": "string",
      "direction": "incoming",
      "senderId": "string",
      "receiverId": "string",
      "docTypeId": "string",
      "processId": "string",
      "countryC1": "string",
      "type": "invoice",
      "readAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "validation": {
        "result": "valid",
        "errors": [
          {
            "ruleCode": "string",
            "errorMessage": "string",
            "errorLevel": "string",
            "fieldName": "string"
          }
        ]
      },
      "sentOverPeppol": true,
      "sentOverEmail": true,
      "emailRecipients": [
        "string"
      ],
      "labels": [
        {
          "id": "string",
          "externalId": "string",
          "name": "string",
          "colorHex": "string"
        }
      ],
      "peppolMessageId": "string",
      "peppolConversationId": "string",
      "receivedPeppolSignalMessage": "string",
      "envelopeId": "string"
    }
  ]
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}